org.apache.tinkerpop.gremlin.driver

## Class Channelizer.NioChannelizer

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.ChannelInitializer<io.netty.channel.socket.SocketChannel>
      - - org.apache.tinkerpop.gremlin.driver.Channelizer.AbstractChannelizer
        - - org.apache.tinkerpop.gremlin.driver.Channelizer.NioChannelizer

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler, Channelizer
  Enclosing interface:
    Channelizer

  Deprecated.
  As of release 3.3.10, not replaced, use `WebSocketClient`.

      @Deprecated
      public static final class Channelizer.NioChannelizer
      extends Channelizer.AbstractChannelizer

  NIO `Channelizer` implementation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.driver.Channelizer

      `Channelizer.AbstractChannelizer, Channelizer.NioChannelizer, Channelizer.WebSocketChannelizer`

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.Channelizer.AbstractChannelizer

      `cluster, connection, PIPELINE_GREMLIN_HANDLER, PIPELINE_GREMLIN_SASL_HANDLER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NioChannelizer()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(io.netty.channel.ChannelPipeline pipeline)` Deprecated.
    `void` | `init(org.apache.tinkerpop.gremlin.driver.Connection connection)` Deprecated. Initializes the `Channelizer`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.Channelizer.AbstractChannelizer

      `close, finalize, initChannel, supportsSsl`

    - ### Methods inherited from class io.netty.channel.ChannelInitializer

      `channelRegistered, exceptionCaught, handlerAdded, handlerRemoved`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelRead, channelReadComplete, channelUnregistered, channelWritabilityChanged, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.driver.Channelizer

      `connected, createKeepAliveMessage, supportsKeepAlive`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `exceptionCaught, handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### NioChannelizer

          public NioChannelizer()

      Deprecated.

  - ### Method Detail

    - #### init

          public void init(org.apache.tinkerpop.gremlin.driver.Connection connection)

      Deprecated.
      Description copied from interface: `Channelizer`
      Initializes the `Channelizer`. Called just after construction.
      Specified by:
        `init` in interface `Channelizer`
      Overrides:
        `init` in class `Channelizer.AbstractChannelizer`

    - #### configure

          public void configure(io.netty.channel.ChannelPipeline pipeline)

      Deprecated.
      Specified by:
        `configure` in class `Channelizer.AbstractChannelizer`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.